Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.addon.conversion.TXT2PDFSettingData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| TXT2PDFSettingData ()
| Constructor.
| TXT2PDFSettingData (float page_width, float page_height, RectF page_margin, Font font, float text_size, uint text_color, float linespace, bool is_break_page)
| Constructor, with parameters. More...
void | Set (float page_width, float page_height, RectF page_margin, Font font, float text_size, uint text_color, float linespace, bool is_break_page)
| Set value. More...

## Properties
Font? | font`[get, set]`
| A font object.
bool | is_break_page`[get, set]`
| Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.
float | linespace`[get, set]`
| Line spacing. If valid, it should be above 0.
float | page_height`[get, set]`
| Page height used for the converted PDF document.
RectF? | page_margin`[get, set]`
| Page margin used for converted PDF document. More...
float | page_width`[get, set]`
| Page width used for the converted PDF document.
uint | text_color`[get, set]`
| Font color.
float | text_size`[get, set]`
| Font size. If valid, it should be above 0.

## Detailed Description

This class represents setting data used for converting TXT to PDF.

## Constructor & Destructor Documentation

## ◆ TXT2PDFSettingData()

foxit.addon.conversion.TXT2PDFSettingData.TXT2PDFSettingData | ( | float | page_width,
|  | float | page_height,
|  | RectF | page_margin,
|  | Font | font,
|  | float | text_size,
|  | uint | text_color,
|  | float | linespace,
|  | bool | is_break_page
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | page_width | Page width used for the converted PDF document.
  [in] | page_height | Page height used for the converted PDF document.
  [in] | page_margin | Page margin used for converted PDF document.
  [in] | font | Font object used for converted PDF document.
  [in] | text_size | Font size used for converted PDF document.
  [in] | text_color | Font color used for converted PDF document.
  [in] | linespace | Line space used for converted PDF document.
  [in] | is_break_page | Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.

Returns
  None.

## Member Function Documentation

## ◆ Set()

void foxit.addon.conversion.TXT2PDFSettingData.Set | ( | float | page_width,
|  | float | page_height,
|  | RectF | page_margin,
|  | Font | font,
|  | float | text_size,
|  | uint | text_color,
|  | float | linespace,
|  | bool | is_break_page
| ) |  |
| inline

Set value.

Parameters

  [in] | page_width | Page width used for the converted PDF document.
  [in] | page_height | Page height used for the converted PDF document.
  [in] | page_margin | Page margin used for converted PDF document.
  [in] | font | Font object used for converted PDF document.
  [in] | text_size | Font size used for converted PDF document.
  [in] | text_color | Font color used for converted PDF document.
  [in] | linespace | Line space used for converted PDF document.
  [in] | is_break_page | Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.

Returns
  None.

## Property Documentation

## ◆ page_margin

RectF foxit.addon.conversion.TXT2PDFSettingData.page_margin
| get set

Page margin used for converted PDF document.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page.